Subject: Re: [Xen-devel] Re: linux-next: Tree for July 25 (xen)

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Thu, 4 Aug 2011 18:30:18 -0400

> > >  arch/x86/xen/trace.c:44:2: error: array index in initializer not of integer type
> > >  arch/x86/xen/trace.c:44:2: error: (near initialization for ‘xen_hypercall_names’)
> > >  arch/x86/xen/trace.c:45:1: error: ‘__HYPERVISOR_arch_4’ undeclared here (not in a function)
> > >  arch/x86/xen/trace.c:45:2: error: array index in initializer not of integer type
> > >  arch/x86/xen/trace.c:45:2: error: (near initialization for ‘xen_hypercall_names’)
> > 
> > Oh, that I haven't seen. Can you send me the .config for that please.
> 
> You can't be trying very hard then.  I see lots of these (but no,

Hm, It is not obvious to me what is causing that compile failure. Any ideas?

> I haven't reported them.  One can grow weary of reporting xen bugs.)
> 
> 
> > > even after:
> > > 
> > >  b3c4b9825075: xen/tracing: fix compile errors when tracing is disabled.
> > > 
> > > Btw., that the heck is going on with the commit that introduced the 
> > > build failure:
> > > 
> > >  commit bd9ddc875b6659f9f74dcfd285c472bc58041abd
> > >  Author:     Jeremy Fitzhardinge <[email-masked]>
> > >  AuthorDate: Mon Jun 20 17:52:13 2011 -0700
> > >  Commit:     Jeremy Fitzhardinge <[email-masked]>
> > >  CommitDate: Mon Jul 18 15:43:46 2011 -0700
> > > 
> > > It was apparently rebased shortly before the merge window and sent to 
> > 
> > Well, the rebase I get - it was done on top of the merge that introduced
> > the new functionality.
> > 
> > > Linus 3 days later, with little to no linux-next testing ...
> > 
> > <Hmm> It did fix the compile problem.. albeit it created another one.
> > > 
> > > I'm absolutely unhappy about how the Xen tree is being run. It's 
> > > using a sloppy, crappy workflow and it is producing crap.
> > 
> > Do you have a manual of how you guys run your workflow?
> 
> I just run 30-50 randconfigs per night (cron job).

Ok, do you have an mailing list where you send the output too?